SpyBara
Go Premium

resources/conversations/methods/retrieve/index.md 2026-07-10 23:02 UTC to 2026-07-12 06:58 UTC

1 added, 1 removed.

2026
Wed 15 00:01 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

Retrieve a conversation

get /conversations/{conversation_id}

Get a conversation

Path Parameters

  • conversation_id: string

Returns

  • Conversation object { id, created_at, metadata, object }

    • id: string

      The unique ID of the conversation.

    • created_at: number

      The time at which the conversation was created, measured in seconds since the Unix epoch.

    • metadata: unknown

      Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

    • object: "conversation"

      The object type, which is always conversation.

      • "conversation"

Example

curl https://api.openai.com/v1/conversations/$CONVERSATION_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "metadata": {},
  "object": "conversation"
}

Example

curl https://api.openai.com/v1/conversations/conv_123 \
  -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}